Subject: Re: [PATCH v8 5/5] help: respect new common command grouping

From: Sébastien Guimmara <[email-masked]>
Date: Tue, 19 May 2015 19:57:48 +0200

On 05/18/2015 11:39 PM, Junio C Hamano wrote:
> I cannot exactly pinpoint what bothers me, but "The typical Git
> workflow includes:" sounds a bit awkward.
>
> What does a workflow "include"?  What are components included in a
> workflow?  Are "starting a repository", "working on a single thing",
> "collabolating", etc. components that are incuded in a workflow?
>
> If so, the fact that "clone", "init", etc. are "commands that are
> commonly used in each component of the workflow" is a more important
> thing to say; in other words, the header does not explain what list
> it is presenting the user.
>
> Or does a workflow consists of "clone", "init", "add", "mv", etc.
> that are included in it?  Then it is left unexplained what the
> section headings stand for.
>
> Perhaps something like
>
> 	These are common Git commands used in various situations:
>
> may lessen the uneasiness I felt above.  I dunno.

This sounds better indeed.

>
> Other than that, this round looks ready for 'next'.
>
> I am not absolutely sure if new dependency on "awk" will not present
> portability issues, though.  So far we only used it in scripts in
> the fringes and only a few tests.
>
> Thanks.
>

We can use Eric's perl version instead of the awk one.

Should I make another series or amend this one ?

Thank you.